﻿/// <reference path="jQuery-v1.6.1.min.js" />
/// <reference path="Circle.js" />

var directionDisplay;
var directionsService = new google.maps.DirectionsService();
var address
var map;

mapInit();

mapStaticInit();

/* Static Map
--------------------------------------------------*/

function mapStaticInit() {
    var lat;
    var lng;
    var geocoder = new google.maps.Geocoder();
    var sUrl = 'http://maps.googleapis.com/maps/api/staticmap?center=';
    address = $(".static-FromAddress").text();
    var loc = address = address.toString().replace(/ /g, "+");

    //alert(loc);
    geocoder.geocode({ 'address': address }, function (result, status) {
        if (status == google.maps.GeocoderStatus.OK) {
            lat = result[0].geometry.location.lat().toString();
            lng = result[0].geometry.location.lng().toString();

            sUrl += loc;
            sUrl += '&zoom=18&size=800x800&maptype=roadmap&markers=color:red%7C' + lat + ',' + lng + "&sensor=false";
            //alert(sUrl);
            $(".static-map").attr("src", sUrl);
        }
        else {
            //alert('error: ' + status);
        }
    });

}


/* Google Map Code
--------------------------------------------------*/

function GenerateMap(ele) {
    var lat;
    var lng;
    var geocoder = new google.maps.Geocoder();
    address = $(ele).find(".dynamic-FromAddress").text();
    canvas = $(ele).find('.canvas').attr('id');
    //alert(address);

    geocoder.geocode({ 'address': address }, function (result, status) {
        if (status == google.maps.GeocoderStatus.OK) {

            lat = result[0].geometry.location.lat().toString();
            lng = result[0].geometry.location.lng().toString();

            //alert(canvas + '---' + lat + '---' + lng);
            DrawMap(canvas, lat, lng);
        }
        else {
            //alert(status);
        }
    })
}

function mapInit() {
    $('.map-dynamic').each(function () {

        GenerateMap(this);

        setTimeout(function () {
            GenerateMap(this);
        }, 1000);
    });
}

function DrawMap(canvasid,lat, lng) {
    var loc;

    var myGmaps = $.extend(google.maps, {});
    directionDisplay = new google.maps.DirectionsRenderer();
    loc = new google.maps.LatLng(lat, lng);

    //alert(lat + ' --- ' + lng);
    var myOptions = {
        zoom: 15,
        mapTypeId: google.maps.MapTypeId.ROADMAP,
        center: loc
    };

    var map = new myGmaps.Map($('#' + canvasid)[0], myOptions);
    var marker = new google.maps.Marker({
        position: loc,
        title: address,
        map: map
    });

    directionDisplay.setMap(map);
}

function mapGetDirection() {
    //alert('x');
    var start = $(".dynamic-ToAddress").val();
    var end = $(".dynamic-FromAddress").html();
    //alert(start + end);
    var request = {
        origin: start,
        destination: end,
        travelMode: google.maps.TravelMode.DRIVING
    };

    directionsService.route(request, function (result, status) {
        directionDisplay.setDirections(result);
    });
}     
