﻿
/// <reference path='jquery.js' />
/// <reference path='jquerymobile.js' />

var AN_CALLBACK_BASE = 'http://www.appnotch.com/';
var timeOut = 30000; //milliseconds

//Determine if browser supports HTML 5 input types with UI, only date and time are currently used
//Modified from http://nicolahibbert.com/html5-forms-support-detection-javascript/
var AN_UI_SUPPORT = [];
(function () {
    AN_UI_SUPPORT = [];
    var inputTypes = ['url', 'email', 'datetime', 'date', 'time', 'month', 'week', 'datetime-local', 'number', 'color', 'range'];
    
    for (var i = 0; i < inputTypes.length; i++){
        var inp = document.createElement('input');
        inp.setAttribute('type', inputTypes[i]);
        var notText = inp.type !== 'text';
        if (notText){
            inp.value = 'bogus';
            if (inp.value !== 'bogus')
                AN_UI_SUPPORT.push(inp.type);
        }
    }
})();

//For debugging
function lastPath(d){
    var res = d.split('/');
    return res[res.length - 1];
}

//function doLog(d){ document.location = 'native://seclabs.com/log/' + escape(d);}
$(function () {

    // Load the secured page.    
    LoadSecPage('body');
    checkForLogin();

    /* Popup Start */

    $('.ui-page').click(function (event) {
        var caller = event.target.id;
        var pop = $('.ui-page-active #popup');
        //alert(caller);

        if (caller != 'popup') {
            pop.fadeOut('fast');
        }
    });

    /* Popup End */
    var isPreview  = $('body').attr('an-design');

    if(isPreview == null || isPreview == undefined)
        isPreview = false;
    
    if (isPreview)
    {
        //Wire up page loading errors to the send error callback
        $('document').on('pagechangefailed', function (event, data) {
            //Check if we have a parent with the function we need
            if (parent.SendErrorEmail)
            {
                var msg = "JQuery Mobile error loading page:\n" + JSON.stringify(data.toPage) + "\n"
                msg += "Current page: " + window.location.href + "\n";
                msg += "APPID: " + parent.GetAppId() + '\n';
                msg += "APPCODE: " + parent.GetAppCode() + '\n';
                msg += "USER TYPE: " + parent.sType;
                parent.SendErrorEmail(msg)
            }
        });
    }
    
    //console.log('Document ready func called: ' + lastPath(document.location.href));
    $(document).on('pageshow', 'div[data-role="page"]', function (event, ui) {
        if(ui.nextPage && ui.nextPage.attr('id').indexOf('prevPage') == -1)
        {
            console.log('pageshow: ' + ui.nextPage + ' : ' + ui.prevPage);
        }
        //doLog('pageshow div[data-role="page"]');
        an_bindInputFocus();
        ConsumeRss(false);
        LoadShop(false);

        chatInit(false);
        mapInit();
        fbWallInit();
        galleryInit();
        calendarInit();
        ChickletAnimation();
        checkForLogin();
    });

    $(document).on('click', '.btnEmailSender', function () {

        //ClassNames got backward, so I switched the variables for now
        var t = $(this).closest('div[an-ctrl=true]');
        var senderName = t.find('.fromInfo').val();
        var fromInfo = t.find('.toInfo').val();
        var toInfo = t.find('.hdnToEmail').val();
        var subjectInfo = t.find('.subjectInfo').val();
        var bodyInfo = t.find('.bodyInfo').val();
        var url = AN_CALLBACK_BASE + 'web/callback/EmailSubmit.aspx';
        var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;

        if (reg.test(toInfo) && reg.test(fromInfo)) {
            $.mobile.showPageLoadingMsg();

            $.ajax({
                type: 'POST',
                url: url,
                dataType: 'Text',
                data: {
                    'name': senderName,
                    'fromInfo': fromInfo,
                    'toInfo': toInfo,
                    'subjectInfo': subjectInfo,
                    'bodyInfo': bodyInfo,
                },
                success: function (msg) {

                    if (msg == 'success')
                    {
                        $('.email-sender .status').removeClass('error');
                        $('.email-sender .status').addClass('success');
                        $('.email-sender .status').html('You have successfully sent an email.');
                        $('.btnEmailSender').attr('disabled', true);
                    } else
                    {
                        $('.email-sender .status').removeClass('success');
                        $('.email-sender .status').addClass('error');
                        $('.email-sender .status').html('An error occurred: ' + msg);                    
                    }
                    
                    $('.email-sender .status').fadeOut(3000);
                    $.mobile.hidePageLoadingMsg();
                },
                error: function (jqXHR) {
                    $('.email-sender .status').removeClass('success');
                    $('.email-sender .status').addClass('error');
                    $('.email-sender .status').html('An server error occurred. Please contact support if the problem persists.');
                    $('.email-sender .status').fadeOut(3000);

                    $.mobile.hidePageLoadingMsg();
                }
            });
        }
        else {
            $.mobile.hidePageLoadingMsg();
            $('.email-sender .status').addClass('error');
            $('.email-sender .status').html('Please enter a valid email address.');
            
            $('.email-sender .status').stop().fadeIn(1000, function(){            
                $('.email-sender .status').fadeOut(3000);
            });
        }

    });

    $(document).on('click', '[an-chat=send]', function(){
        
        var n = $(this).closest('table').find('#txtName').val();
        var m = $(this).closest('table').find('#txtMessage').val();
        var t = $(this).closest('[an-data-role=chat]').attr('an-data-log');
        var b = $(this).closest('[an-data-role=chat]').attr('an-data-book');
        var el = this;
                
        var $this = $(this);

        $.mobile.loading( 'show', {
                            text: 'Posting new message...',
                            textVisible: true
                        });

        $.ajax({
            url: AN_CALLBACK_BASE + 'cms/apiadmin/callback/chat/InsertRecord.aspx',
            data: { name: n, msg: m, tName: t, bName: b },
            type:'POST',
            timeout: timeOut,
            success: function(msg){    
                $.mobile.loading('hide');
                $(el).closest('table').find('#txtMessage').val('');

                if(msg != '' && msg != undefined && msg != null)
                {             
                    CreatePopup($this, 'Error', msg);

                    $('#popupMenu').popup(); 
                    $('#popupMenu').popup('open');
                
                    $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                    });
                }           
            },
            error: function(e){    
                $.mobile.loading('hide');        

                if(e.statusText == 'timeout')
                    CreatePopup( $this, "Login Failed.", 'Server timed out.');
                else
                    CreatePopup( $this, "Login Failed.", 'Cannot connect to server.');

                $('#popupMenu').popup(); 
                $('#popupMenu').popup('open');

                $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                });
            }        
        });

    });

    $(document).on('click', '[an-action=RegisterHandler]', function(){
        register($(this).closest('[data-role=register]'));
    });

    $(document).on('click', '[an-action=LoginHandler]', function(){
        var container = $(this).closest('[data-role=login]');

        if(container[0] == undefined)
        {
            container = $(this).closest('[an-code]');
        }

        login(container, $(this).attr('an-type'));
    });

    $(document).on('click', '[an-action=forgotPass]', function(){
    
        var mail = $('#email').val();
        var code = $('#email').attr('appcode');

        if(!ValidateEmail(mail) || mail == ''){
            
            CreatePopup(this, 'Error', 'Invalid Email Address.');

            $('#popupMenu').popup(); 
            $('#popupMenu').popup('open');
                
            $('#popupMenu').fadeOut(5000, function(){
                $(this).remove();
            });

            return
        } 

        var $this = $(this);

        $.mobile.loading( 'show', {
                            text: 'Loading please wait...',
                            textVisible: true
                        });

        $.ajax({
            url: AN_CALLBACK_BASE + 'cms/apiadmin/callback/auth/forgotPass.aspx',
            data: { email : mail, appcode: code },
            type:'POST',
            timeout: timeOut,
            success: function(msg){    
                $.mobile.loading('hide');
         
                CreatePopup($this, 'Email sent', 'we have sent your your temporary password to your email address.');

                $('#popupMenu').popup(); 
                $('#popupMenu').popup('open');
                
                $('#popupMenu').fadeOut(5000, function(){
                    $(this).remove();
                });
            },
            error: function(e){    
                $.mobile.loading('hide');        

                if(e.statusText == 'timeout')
                    CreatePopup( $this, "Login Failed.", 'Server timed out.');
                else
                    CreatePopup( $this, "Login Failed.", 'Cannot connect to server.');

                $('#popupMenu').popup(); 
                $('#popupMenu').popup('open');

                $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                });
            }      
        });

    });

    $(document).on('click', '[an-action=changePass]', function(){
    
        var mail = $('#email').val();
        var oldPass = $('#password').val();
        var newPass = $('#newpassword').val();
        var confPass = $('#confnewpassword').val();
        var code = $('#email').attr('appcode');
        
        if(!ValidateEmail(mail) || mail == ''){
            
            CreatePopup(this, 'Error', 'Invalid Email Address.');

            $('#popupMenu').popup(); 
            $('#popupMenu').popup('open');
                
            $('#popupMenu').fadeOut(5000, function(){
                $(this).remove();
            });

            return
        } 
        
        var $this = $(this);

        $.mobile.loading( 'show', {
                            text: 'Loading please wait...',
                            textVisible: true
                        });

        $.ajax({
            url: AN_CALLBACK_BASE + 'cms/apiadmin/callback/auth/changePass.aspx',
            data: { email : mail, pwd: newPass, opwd : oldPass, cpwd: confPass, appcode: code },
            type:'POST',
            timeout: timeOut,
            success: function(msg){    
                $.mobile.loading('hide');
         
                if(msg != 0 && msg != ''){
                    CreatePopup($this, 'Password Changed', 'we have successfully change your password');
                    $(this).remove();
                    $('#email').val('');
                    $('#password').val('');
                    $('#newpassword').val('');
                    $('#confnewpassword').val('');
                }else if(msg == '0')
                    CreatePopup($this, 'Error', 'the new and confirm password did not match.');
                else
                    CreatePopup($this, 'Error', 'Invalid User or Password.');
                
                $('#popupMenu').popup(); 
                $('#popupMenu').popup('open');
                
                $('#popupMenu').fadeOut(5000, function(){
                    
                });
            },
            error: function(e){    
                $.mobile.loading('hide');        

                if(e.statusText == 'timeout')
                    CreatePopup( $this, "Login Failed.", 'Server timed out.');
                else
                    CreatePopup( $this, "Login Failed.", 'Cannot connect to server.');

                $('#popupMenu').popup(); 
                $('#popupMenu').popup('open');

                $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                });
            }     
        });

    });

    $(document).on('click', '[an-action=register]', function(){    
        var container = $(this).closest('[data-role=login]');

        if(container[0] == undefined)
        {
            container = $(this).closest('[an-code]');
        }
             
        var code = container.attr('an-code');
        var redirectTo = container.attr('an-redirect-url');

        $('#sec-register[data-role="page"]').remove();

        $.ajax({
            url: AN_CALLBACK_BASE + "web/api/registration.txt",
            type: 'GET',
            dataType: 'TEXT',
            success: function(e){      
                e = $(e).attr('id', "sec-register")
                $(e.find('#dvAppContainer')).attr('an-code', code);
                $(e.find('#dvAppContainer')).attr('an-redirect-url', redirectTo);

                $('body').append(e);
                $.mobile.changePage($('#sec-register'));
                $.mobile.loading('hide');
            }
        });

    });

    $(document).on('click', '.ui-clickable', function (event, ui) {

        var params = $(this).attr('target').split(';');
        var defValue = params[0];
        var clckValue = params[1];

        change(this, defValue, clckValue);

    });

    $(document).on('pageshow', 'div', function (e, ui) {
        //doLog('pageshow - div');
        CheckPopupSizeAndLoc();
        LoadSecPage(e.target);               
    });

    $(document).on('pagebeforeshow', 'div', function(e, u){
                   
        //console.log('pagebeforeshow - div baseURI:' + lastPath(e.target.baseURI));
        $(e.target).find('[an-data=secured]').hide();
        
    });

    $(document).on('pagehide', 'div', function (event, ui) {
        var isNative = $('body').attr('an-convtype');
        //console.log('pagehide - div isNative:' + isNative);
        if(isNative == 'xml')
        {
            if (event.delegateTarget.baseURI)
               document.location = 'native://seclabs.com/pageLoad/' + event.delegateTarget.baseURI;
        }
         
    });
    
    $(document).on('click', '[an-action=socialMedialTab]', function (){
        // VALUES FOR THE TAB CHANGE
        var mode = $(this).attr('an-value');
        showHideFacebookTweeter(mode);
    });

    ChickletAnimation();
    fbWallInit();
    an_bindInputFocus()
    ConsumeRss(isPreview);
    LoadShop(isPreview);
    mapInit();
    galleryInit();
    calendarInit();
    ChickletAnimation();
    changeFormSubmit();
    chatInit(false);
    checkSSO();

});
$(window).resize(function () {
    CheckPopupSizeAndLoc();
    changeGridViews();
});

function an_bindInputFocus()
{
    $('input[type=date]').focus(function (event) {
        if (AN_UI_SUPPORT.indexOf('date') != -1 && $('body').attr('an-convtype') == 'xml')
        {
            document.location = 'native://seclabs.com/datepicker/';
        }
    });
    $('input[type=time]').focus(function (event) {
        if (AN_UI_SUPPORT.indexOf('time') != -1 && $('body').attr('an-convtype') == 'xml')
        {
            document.location = 'native://seclabs.com/timepicker/';
        }
    });
}

function ChickletAnimation()
{

    $('.an-chick').hover(function () {
        $(this).find('img').stop().fadeTo('fast', 0.3);
    }, function () {
        $(this).find('img').stop().fadeTo('fast', 1.0);
    });

    $('.an-chick').click(function () {
        $(this).find('img').stop().fadeTo('fast', 2.0);
    }, function () {
        $(this).find('img').stop().fadeTo('fast', 1.0);
    });

    /*
    $('.an-chick').live('vmouseup', function (a) {
        $(this).find('img').stop().fadeTo('fast', 1.0);
    });

    $('[an-data-role=chicklet] a').tap(function (a) {
        $(this).find('img').stop().fadeTo('fast', 0.3);
    });
    */
}

function changeGridViews() {

    if ($('.hdnAutoWrap').val() != undefined && $('.hdnAutoWrap').val() != null) {
        var orientation = window.orientation;
        var autoWrap = $('.hdnAutoWrap').val().toLowerCase();
        var width = $(window).width();
        var height = $(window).height();

        if (orientation == 0) {
            //alert(orientation);
            $('.grid-item').each(function () {
                $(this).removeClass('grid-width_importants_4');
            });
        }
        else if (orientation == 90) {
            view = 'Landscape CounterClockwise';

            if (autoWrap == true) {
                $('.grid-item').each(function () {
                    if ((this).hasClass('grid-width_importants_4') == false) {
                        $(this).addClass('grid-width_importants_4');
                    }
                });
            }
        }
        else if (orientation == -90) {
            view = 'Landscape Clockwise';

            if (autoWrap == true) {
                $('.grid-item').each(function () {
                    if ((this).hasClass('grid-width_importants_4') == false) {
                        $(this).addClass('grid-width_importants_4');
                    }
                });
            }
        }
        else {
            //alert('x');
            view = ' View Orientation is not supported';
            orientation = ' View Orientation is not supported';
        }


        if (autoWrap == true) {
            if (width > height) {
                $('.grid-item').each(function () {
                    if ((this).hasClass('grid-width_importants_4') == false) {
                        $(this).addClass('grid-width_importants_4');
                    }
                });
            }
            else {
                $('.grid-item').each(function () {
                    $(this).removeClass('grid-width_importants_4');
                });
            }
        }
    }
}

function callPopUp() {
    var isEnabled = $('.ui-page-active #hdnPopupEnabled').val();
    if (isEnabled == 'true') {
        var pop = $('.ui-page-active .popup');
        $('.ui-page-active #popup').show();
        $('.ui-page-active #popup').addClass('visible');
    }

}

function change(obj, def, clck) {

    $(obj).css(def)
    $(obj).mouseup(function () {
        $(obj).css(clck)
    });
}

function CheckPopupSizeAndLoc() {
    var platform = navigator.platform;

    var pop = $('.ui-page-active #popup');
    var width = $(window).width();
    var height = $(window).height();

    if (platform == 'iPad') {
        pop.addClass('BigScreenText');
    }

    pop.width(width / 2);
    pop.height(height / 2);
}

/* Static Map
--------------------------------------------------*/
function mapStaticInit() {
    var lat;
    var lng;
    var geocoder = new google.maps.Geocoder();
    var sUrl = 'http://maps.googleapis.com/maps/api/staticmap?center=';
    address = $('.FromAddress').text();

    var loc = address = address.toString().replace(/ /g, '+');

    geocoder.geocode({ 'address': address }, function (result, status) {
        if (status == google.maps.GeocoderStatus.OK) {
            lat = result[0].geometry.location.lat().toString();
            lng = result[0].geometry.location.lng().toString();

            sUrl += loc;
            sUrl += '&zoom=18&size=800x800&maptype=roadmap&markers=color:red%7C' + lat + ',' + lng + '&sensor=false';
            //alert(sUrl);
            $('.static-map').attr('src', sUrl);
        }
        else {
            //alert('error: ' + status);
        }
    });
    
    $(geocoder).remove();
}

/* Google Map Code
--------------------------------------------------*/
function mapInit() {
    $('.map-dynamic').each(function () {
        var lat;
        var lng;
        var geocoder = new google.maps.Geocoder();
        address = $(this).find(".dynamic-FromAddress").text();
        canvas = $(this);

        geocoder.geocode({ 'address': address }, function (result, status) {
            if (status == google.maps.GeocoderStatus.OK) {
                lat = result[0].geometry.location.lat().toString();
                lng = result[0].geometry.location.lng().toString();
                
                DrawMap(canvas, lat, lng);
            }
        });

        $(geocoder).remove();
    });
}

function DrawMap(canvas,lat, lng) {
    var loc;

    var myGmaps = $.extend(google.maps, {});
    directionDisplay = new google.maps.DirectionsRenderer();
    loc = new google.maps.LatLng(lat, lng);

    var myOptions = {
        zoom: 15,
        mapTypeId: google.maps.MapTypeId.ROADMAP,
        center: loc
    };

    var canv = $(canvas).find('.canvas').attr('id');
    map = new myGmaps.Map($('#' + canv)[0], myOptions);
    var marker = new google.maps.Marker({
        position: loc,
        title: address,
        map: map
    });

    directionDisplay.setMap(map);
}

function mapGetDirection() {
    //Values are backward from the actual page so end is from and start is to...
    var end = $('.dynamic-FromAddress').text();
    var start = $('.dynamic-ToAddress').val();

    var request = {
        origin: start,
        destination: end,
        travelMode: google.maps.TravelMode.DRIVING
    };
    
    var directionsService = new google.maps.DirectionsService();

    directionsService.route(request, function (result, status) {
        if (status == 'OK')
            directionDisplay.setDirections(result);
        else
            alert('There was a problem getting directions');
    });
}

/* RSS Code
--------------------------------------------------*/
function ConsumeRss(isDesign) {

    $('[an-data-role=rss]').each(function () {
        var ele = this;
        var callBack = AN_CALLBACK_BASE + 'web/callback/RssConsumer.aspx?sUrl=';
        var rssUrl = $(this).find('[type=hidden]').val();
        var count = $(this).find('[type=hidden]').attr('maxItem');
        rssUrl = rssUrl.replace('&', '|');
        $.ajax({
            url: callBack + rssUrl,
            type: 'POST',
            dataType: 'json',
            contentType: 'application/json; charset=utf-8',
            success: function (result) {
                GenerateRssView(ele, result, parseInt(count) + 1, isDesign);
            },
            error: function (result) {
                if (result.status == 200 && result.statusText == 'parseerror' || result.responseText == 'True') {
                    GenerateRssView(ele, result, parseInt(count) + 1, isDesign);
                }
            }
        });

    });

}

function GenerateRssView(ele, result, maxItem, isDesign) {
    var ulView = $(ele).find('ul');
    var itemNum = $(ele).find('input[type=hidden]').attr('itemNumber');
    var display = $(ele).find('input[type=hidden]').attr('display');
    var iCount = 0;

    if(display == null || display == undefined)
        display = '0';

    $(ulView).html('');
    for (p in result) {
        if (iCount != maxItem) {
            if (result[p] != null && result[p] != undefined) {
                if (iCount == 0) {
                    var headLi = $('<li/>').attr('data-role', 'list-divider')
                                       .html(result[p].Title);
                    $(ulView).append(headLi);
                }
                else {
                    var aLink = null;
                    
                    switch(display)
                    {
                        case '0':{
                            aLink = RssViewFlat(result[p], isDesign);
                            break; 
                        } 
                        case '1':{
                            aLink = RssViewSmallImage(result[p], isDesign);
                            break; 
                        }
                        case '2':{
                            aLink = RssViewBigImage(result[p], isDesign);
                            break; 
                        }    
                    }


                    var rssLi = $('<li>').append(aLink);
                    $(ulView).append(rssLi);
                }
                ++iCount;
            }
        }
        else {
            break;
        }
    }

    $(ulView).listview('refresh');
}

function RssViewFlat(result, isDesign)
{

    var aLink = $('<a/>');
        aLink = aLink.html(result.Title);

    if(isDesign == false) {
        aLink = aLink.attr('href', result.Link);
    }

    return aLink;
}

function RssViewSmallImage(result, isDesign)
{
    var appCode = parent.$('#hdnAppCode').val();
    var imgTag = result.Image;
    if(imgTag == '')
        imgTag = $('<img src="/apps/' + appCode +'/image/Question_Gray_80x80.png"/>').addClass('ui-li-icon');
    else
        imgTag = $('<img src="' + imgTag + '"/>').addClass('ui-li-icon');
        
    var aLink = $('<a/>');
    
    aLink.append(imgTag);   
    aLink.append(result.Title);

    if(isDesign == false) {
        aLink.attr('href', result.Link);
    }

    return aLink;
}

function RssViewBigImage(result, isDesign)
{
    var appCode = parent.$('#hdnAppCode').val();
    if(appCode == '' || appCode == undefined || appCode == null)
        appCode = '0';

    var desc = result.Description;
   
    if(desc != null && desc != undefined && desc.length > 20)
        desc = desc.substring(0, 50) + '...';

    var imgTag = result.Image;
    if(imgTag == '')
        imgTag = '<img src="/apps/' + appCode +'/image/Question_Gray_80x80.png"/>';
    else
        imgTag = '<img src="' + imgTag + '"/>';

    var img = $(imgTag);
    var span = $('<span/>').html(result.Title).attr('style', 'margin-bottom: 10px; display: block; padding: 5px 0px;overflow: hidden; text-overflow: ellipsis !important;');
    var p = $('<p/>').html(desc).attr('style', 'margin-top: 5px;');
    var aLink = $('<a/>');   

    aLink.append(img);
    aLink.append(span); 
    aLink.append(p);    

    if(isDesign == false) {
        aLink.attr('href', result.Link);
    }

    return aLink;
}

/* Shop Code
--------------------------------------------------*/
function LoadShop(isDesign)
{
    $('[an-data-role=shopping]').each(function () {
        
        var ele = this;
        var code = $(ele).attr('an-code');

        $(ele).find('[role=heading]').html('Loading...');

        var callBack = AN_CALLBACK_BASE + 'cms/apiadmin/callback/shop/GetItems.aspx';
        var bkgColor = $(ele).attr('an-bkg-color');
        var tabBkgColor = $(ele).attr('an-tab-bkg-color');
        var fontColor = $(ele).attr('an-font-color');
        var tabFontColor = $(ele).attr('an-tab-font-color');

        $.ajax({
            url: callBack,
            data: { appcode : code },
            type: 'POST',
            success: function (result) {
                var count = result.length

                if(count > 0)
                    LoadShopBigImage(ele, result,isDesign, code, bkgColor, tabBkgColor,fontColor, tabFontColor);
                else
                {
                    var ulView = $(ele).find('ul');
                    $(ulView).html('<li>There are no item(s) in this shop.</li>');
                    $(ulView).listview('refresh');
                }
            },
            error: function (result) {
                if (result.status == 200 && result.statusText == 'parseerror' || result.responseText == 'True') {
                    LoadShopBigImage(ele, result,isDesign);
                }
            }
        });

    });
}

function LoadShopBigImage(el, result, isDesign, code, bkgColor, tabBkgColor,fontColor, tabFontColor)
{
    var ulView = $(el).find('ul');
    style = '';
    tabStyle = '';
    
    if(bkgColor != null && bkgColor != undefined && bkgColor != '')
        style += 'background: -moz-linear-gradient(#' + bkgColor + ',#' + bkgColor + ') repeat scroll 0 0 #' + bkgColor + '; border-color: #' + bkgColor + '; background-image:-webkit-linear-gradient(#' + bkgColor + ',#' + bkgColor + ')';
    
    if(tabBkgColor != null && tabBkgColor != undefined && tabBkgColor != '')
        tabStyle += 'text-shadow: none; background: -moz-linear-gradient(#' + tabBkgColor + ',#' + tabBkgColor + ') repeat scroll 0 0 #' + tabBkgColor + '; border-color: #' + tabBkgColor + '; background-image:-webkit-linear-gradient(#' + tabBkgColor + ',#' + tabBkgColor + ')';

    if(tabFontColor != null && tabFontColor != undefined && tabFontColor != '')
        tabStyle += 'color: #' + tabFontColor; 

    $(ulView).html('').fadeOut('fast');
    for (p in result) {
        if (result[p] != null && result[p] != undefined) {
            aLink = ShopBigImage(result[p], isDesign, code, fontColor);
            var rssLi = $('<li>').attr('cat', result[p].Category).append(aLink.attr('style', style));
            $(ulView).append(rssLi);
        }
    }
    $(ulView).attr('data-autodividers', true);
    $(ulView).listview({
		autodividers: true,
		autodividersSelector: function (li) {
		    var out = li.attr('cat');
		    return out;
		}
	}).listview('refresh');

    $(ulView).find('[role=heading]').attr('style', tabStyle);
    $(ulView).fadeIn('fast');
}

function ShopBigImage(result, isDesign, code, fontColor)
{
    var appCode = parent.$('#hdnAppCode').val();
    if(appCode == '' || appCode == undefined || appCode == null)
        appCode = '0';

    var desc = result.Description;
   
    if(desc != null && desc != undefined && desc.length > 20)
        desc = desc.substring(0, 50) + '...';

    var imgTag = result.DefaultImage;
    if(imgTag == '')
        imgTag = '<img src="/apps/' + appCode +'/image/Question_Gray_80x80.png"/>';
    else
        imgTag = '<img src="' + imgTag + '"/>';

    var img = $(imgTag);
    var h2 = $('<h2 style="text-shadow: none; color: #' + fontColor + '">' + result.Name + '</h2>');
    var span = $('<span/>').html(result.Title).attr('style', 'margin-bottom: 10px; display: block; padding: 5px 0px;overflow: hidden; text-overflow: ellipsis !important;');
    var p = $('<p/>').html(desc).attr('style', 'text-shadow: none; margin-top: 5px; color: #' + fontColor );
    var b = $('<span class="ui-li-count">' + result.Price + '</span>')
    var aLink = $('<a/>');   

    aLink.append(h2);
    aLink.append(img);
    aLink.append(span); 
    aLink.append(b);
    aLink.append(p); 

    if(isDesign == false) {
        aLink.attr('href', AN_CALLBACK_BASE + 'cms/apiadmin/GetShopInfo.aspx?iid=' + result.ItemId + "&appCode=" + code );
    }

    return aLink;
}

/* Gallery Code
--------------------------------------------------*/
function galleryInit(){
    var inPreview = parent.$('body').hasClass('design');

    if(!inPreview)
    {
        $('div[an-data-role=gallery]').each(function(){
        
            if($(this).find('ul li a[href]').length > 0)
            {
                $(this).find('ul li a[href]').photoSwipe({ enableMouseWheel: false , enableKeyboard: false });
            }
        });
    }
}

function galleryDestroy(){
    $('div[an-data-role=gallery]').each(function(){
        if($(this).find('ul li a[href]').length > 0)
        {
            $(this).find('ul li a[href]').detach();
        }
    });
}

/*-------------- 
    Calendar 
--------------*/
function calendarInit(){
    $('div[an-data-role="calendar"]').each(function () {
        var $this = $(this);
        var eData = $this.attr('an-cal-src') || []; //Show no events if attribute not present
        
        $this.fullCalendar('destroy'); //Ensure there is no previous calendar data to prevent showing it twice...
        $this.fullCalendar({
            events: eData,
            dayClick:dayClicked,
            unselect:calUnselect});
    });
}

function dayClicked(date, allday, jsEvent, view) {
    
    $('.ui-loader').fadeIn('fast');
    $.mobile.loading( 'show', {
                                text: 'Loading Events',
                                textVisible: true,
                                theme: 'a',
                                textonly: false,
                                html: ''
                                } );

    var cal = $(this).parents('div.fc[an-data-role="calendar"]')
    if (cal.length < 1) {
        console.error('Could not get associated calendar');
        return;
    } else if (cal.length > 1) {
        console.warn('More than one calendar parent was found... using first (closest parent)')
        cal = cal.first();
    }

    var showTime = cal.attr('an-showtime');
    var endDate = new Date(date);
    endDate.setDate(date.getDate() + 1);
    
    cal.fullCalendar('select', date, date, true); //Unselects and selects the date chosen

    var events = cal.fullCalendar('clientEvents',
    function (eventObj) {
        if (eventObj.start >= endDate)
            return false;
        if (eventObj.end < date)
            return false;
        return true;
    });

    var dvEvent = cal.find("div.an-cal-eventItems");
    if (dvEvent.length != 1)
        return; //No div available for us to put the event info in

    dvEvent.html("");

    var results = "";
                
    results += '<br/><ul id="ulInfo" data-role="listview" data-inset="true" ><li data-role="list-divider">Events Details for ';
    results += date.toLocaleDateString() + '</li>';
    
    var oItems = '';
    for (e in events) {
        oItems += '<li>';
        oItems += '<h2>' + events[e].title + '</h2>';
        oItems += '<p><b>When: </b><br/>' + $.fullCalendar.formatDate(events[e].start, "MM/dd/yyyy") + ' to ';
        oItems +=  $.fullCalendar.formatDate(events[e].end, "MM/dd/yyyy");

        if(showTime == 'true'){
            if($.fullCalendar.formatDate(events[e].start, "hh:mm:ss tt") != '00:00:00' && $.fullCalendar.formatDate(events[e].end, "hh:mm:ss tt") != '00:00:00')
                oItems += '<br/><br/><b>Time: </b><br/>' + $.fullCalendar.formatDate(events[e].start, "hh:mm:ss tt") + ' to ' + $.fullCalendar.formatDate(events[e].end, "hh:mm:ss tt");
        }

        if(events[e].location != null && events[e].location != undefined && events[e].location != '')
            oItems += '<br/><br/><b>Where: </b><br/> <a href="http://maps.google.com/maps?q=' + events[e].location +'">' + events[e].location + '</a>';
        
        if(events[e].description != null && events[e].description != undefined && events[e].description != '')
            oItems += '<br/><br/><b>Description: </b><br/>' + events[e].description;

        oItems += '</p>';
        oItems += '</li>';
    }

    if(oItems == '')
        oItems += '<li><h2>No Events</h2></li>';        

    results += oItems + '</ul>';

    dvEvent.append(results);
    $('#ulInfo').listview({ create: function(){  

        $("html, body").animate({ scrollTop: $('#ulInfo').offset().top }, 1000);

        $('.ui-loader').fadeOut(2000, function(){
            $.mobile.loading('hide');
        });
    }});
}

function calUnselect(view, jsEvent) {
    //Clear out the event items
    var cal = $(this.element).parents('div.fc[an-data-role="calendar"]')
    if (cal.length < 1) {
        console.error('Could not get associated calendar');
        return;
    } else if (cal.length > 1) {
        console.warn('More than one calendar parent was found... using first (closest parent)')
        cal = cal.first();
    }

    var dvEvent = cal.find("div.an-cal-eventItems");
    if (dvEvent.length != 1)
        return;
    dvEvent.html("");
}

function changeFormSubmit()
{
    var formSubProc = false;
    $('body').on('submit', 'div[data-role=content] > form', function(e){
        e.preventDefault();
		
        if(formSubProc)
            return false;

        formSubProc = true;

        var $this = $(this)
        var formUrl = $this.attr('action');
        var formMethod = $this.attr('method');
        var formData = $this.serialize();
        var typeMsg = 'submit';        
        var formMsgSuccess = "Successfully submitted your request.";
        var isValid = true;
        var valMsg = '';

        //Validate Required form Fields
        $("input.req").each(function (index) {
            if (!($(this).val())) {
                isValid = false;
                valMsg += $('label[for=' + $(this).attr('id') + ']').text() + ' is required<br/>'
            }
        });
        $("div[an-data-role=radiolist], div[an-data-role=checklist]").each(function () {
            var cntrValid = true;
            if ($(this).find('input.req').length != 0)
                cntrValid = false;
            $(this).find('input.req').each(function () {
                if ($(this).is(':checked'))
                    cntrValid = true;
            });
            if (!cntrValid) {
                isValid = false;
                valMsg += $(this).find('input:first').attr('name') + ' is required<br/>'
            }
        });
        if (!isValid) {
            CreatePopup($this, 'Error', valMsg);
            $('#popupMenu').popup();
            $('#popupMenu').popup('open');
            $('#popupMenu').fadeOut(5000, function () {
                $(this).remove();
            });
            formSubProc = isValid;
        }

        if(formMethod.toLowerCase() == 'get')
        {
            formMsgSuccess = "Successfully received your request.";
        }

        if(formUrl && formSubProc)
        {
            $.mobile.showPageLoadingMsg(); 
        
            $.ajax({
                url : formUrl,
                type: 'POST',
                data: formData,
                timeout: timeOut,
                datatype: 'html',
                success: function(msg){
				
                    if (msg == 'success')
                        CreatePopup($this, 'Success', formMsgSuccess);
                    else
                        CreatePopup($this, 'Error', msg);

                    $('#popupMenu').popup(); 
                    $('#popupMenu').popup('open');
                
                    $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                    });
                    $.mobile.hidePageLoadingMsg(); 
                    formSubProc = false;
                },
                error: function(jqXHR){     
                    if(jqXHR.statusText == 'timeout')
                        CreatePopup($this, "Login Failed.", 'Server timed out.');
                    else if (e != '' && e != undefined)
                        CreatePopup($this, 'Failed', 'There was an error submitting your request. Try again or contact support.');
                    else
                        CreatePopup($this, 'Success', 'Request has been submitted.');
                    
                    $('#popupMenu').popup(); 
                    $('#popupMenu').popup('open');

                    $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                    });

                    $.mobile.hidePageLoadingMsg(); 
                    formSubProc = false;
                }
            });
        }

        return false;
    });

}

function CreatePopup(e,title,msg)
{   

    $('#popupMenu').remove();
    var Popup =   '<div data-role="popup" id="popupMenu" data-theme="a"> '
                + '<div data-role="popup" data-theme="a" class="ui-corner-all">'                
                + '<div style="padding:10px 20px;">'
                + '<h3>' + title + '</h3>'
                + '<span>' + msg + '</span>'
                + '</div>'
                + '</div>'
                + '</div>';
    $(e).append(Popup);
}

//Set currently focused input to have the specified value (usually called from the native application)
function an_updateFocusInput(inStr)
{
    var elem = document.activeElement;
    if (!elem.type)
    {
        console.error('updateFocusInput called but document.activeElement has no type attribute and likely not an input element');
        return; 
    }
    
    elem.value = inStr;
    elem.blur();
}

// Chat Code
function chatInit(isDesign)
{    
    $('[an-data-role=chat]').each(function(){   
        var interval = $(this).attr('an-interval');
        var code = $(this).attr('an-code');
        if(!isDesign){ 
          
            interval = interval * 1000;
            $(this).find('#dvChatLog').html('<ul data-role="listview" ></ul>');
            GrabData(this,code,interval);

        }

    });

}

function GrabData(el, code, interval)
{   
    if(interval == null || interval == undefined)
        interval = 30000;

    var l = $(el).attr('an-data-log');
    var b = $(el).attr('an-data-book');

    if($(el).closest('.an-control-container').find('#dvChatLog ul').html() == '' || 
       $(el).closest('.an-control-container').find('#dvChatLog ul').html() == '\n\r')
       {       
            $.mobile.loading( 'show', {
                                text: 'fetching data...',
                                textVisible: true
                            });
       }

    $.ajax({
        url: AN_CALLBACK_BASE + 'cms/apiadmin/callback/chat/get.aspx',
        timeout: timeOut,
        data: { tName: l, bName: b },
        type:'POST',
        success: function(msg){

            if(msg != '' && msg != undefined && msg != null && msg != '[]')
            {
                var jsonObj = msg;
                var sTr = '';

                for(var i = jsonObj.length; i >= 1; i--)
                {
                    var check = $(el).closest('.an-control-container').find('#dvChatLog ul').find('[an-timestamp=' + jsonObj[i - 1].TimeStamp + ']')[0];
                    
                    if(!check)
                    {
                        var postDate = new Date(jsonObj[i - 1].PostedDate);
                        var fDate = postDate.getMonth() + "/" + postDate.getDate() + "/" + postDate.getYear() + " " + postDate.getHours() + ":" + postDate.getMinutes() + ":" + postDate.getSeconds();
                        sTr += '<li an-timestamp="' + jsonObj[i - 1].TimeStamp + '" style="padding: 10px 25px;"><h3 style="font-size: 12px; font-weight:bold;">' + jsonObj[i - 1].Name + ':</h3>' + 
                                '<p class="ui-li-aside" style="font-size: 10px;">' + fDate + '</p><p style="font-style: italic;">' + jsonObj[i - 1].Msg + '</p></li>';
                    }
                                   
                } 

                if(sTr){
                    if($(el).hasClass('an-control-container')){
                        $(el).find('#dvChatLog ul').append(sTr);     
                        $(el).find('#dvChatLog').find('ul').listview().listview('refresh');      
                    }
                    else{
                        $(el).closest('.an-control-container').find('#dvChatLog ul').append(sTr);     
                        $(el).closest('.an-control-container').find('#dvChatLog ul').listview().listview('refresh');      
                    }
                }
            }

            $(el).closest('.an-control-container').find('#dvChatLog').scrollTop($('#dvChatLog')[0].scrollHeight);
            setTimeout(function () {
                GrabData(el,code, interval);
            }, interval);
            $.mobile.loading('hide');
        },
        error: function(){
            $.mobile.loading('hide');        

            if(e.statusText == 'timeout')
                CreatePopup( $this, "Login Failed.", 'Server timed out.');
            else
                CreatePopup( $this, "Login Failed.", 'Cannot connect to server.');

            $('#popupMenu').popup(); 
            $('#popupMenu').popup('open');

            $('#popupMenu').fadeOut(5000, function(){
                    $(this).remove();
            });
        }
    });
    
}

/*-------------- 
  Registration 
--------------*/
function register(container)
{
    var code = container.attr('an-code');
    var mail = container.find('#Email').val();
    var confemail = container.find('#ConfEmail').val();
    var pwd = container.find('#Password').val();
    var confpass = container.find('#ConfPassword').val();
    var redirectTo = container.attr('an-redirect-url');
    var animation = 'fade';
    var isRel = -2;

    if(redirectTo != null && redirectTo != undefined)
        isRel = redirectTo.indexOf('http://');

    var firstName = container.find('#FirstName').val();
    var lastName = container.find('#LastName').val();
   
    var errorMsg = "";
    
    if(animation == '' || animation == undefined || animation == null)
        animation = 'fade';

    if(!ValidateEmail(mail))
        errorMsg += "Invalid Email.<br/>";

    if(mail != confemail && errorMsg == '')
        errorMsg += "Email Confirmation did not match.<br/>";

    if(pwd != confpass)
        errorMsg += "Password did not match.<br/>";

    if(errorMsg != ''){
        CreatePopup(container, "Fail to Register", errorMsg);
        $('#popupMenu').popup(); 
        $('#popupMenu').popup('open');

        $('#popupMenu').fadeOut(5000, function(){
            $(this).remove();
        });

    }
    else
    {
    
        $.mobile.loading( 'show', {
                            text: 'Registering...',
                            textVisible: true
                        });
        $.ajax({
            url: AN_CALLBACK_BASE + 'cms/apiadmin/callback/auth/mobileReg.aspx',
            data: { appcode: code, email: mail,
                    pass: pwd, fName: firstName,
                    lName: lastName },
            timeout: timeOut,
            type:'POST',
            success: function(msg){
                $.mobile.loading('hide');
                if(msg == 'success')
                {
                    CreatePopup(container, "Registration Success.", "You have successfully registered for a new account.");
                    $('#popupMenu').popup(); 
                    $('#popupMenu').popup('open');

                    $('#popupMenu').fadeOut(3000, function(){
                        $(this).remove();
                    });
   
                    if(isRel != -1 && isRel != -2)
                        window.location.href = redirectTo;
                    else if (isRel != -2)
                    {                    
                        // for Preview
                        if(redirectTo.indexOf('#prevPage') != -1)
                        {
                            var currUrl = redirectTo.substring(redirectTo.lastIndexOf('#prev'));
                            PageTryLoad(currUrl, { transition : animation });
                        }
                        else
                            $.mobile.changePage(redirectTo, { transition : animation });
                    }
                    else
                    {
                        window.location.history.back(-1);
                    }

                }
                else
                {
                    CreatePopup(container, "Registration Failed.", msg);
                        $('#popupMenu').popup(); 
                        $('#popupMenu').popup('open');

                        $('#popupMenu').fadeOut(5000, function(){
                            $(this).remove();
                    });

                    container.find('#Email').val('');
                    container.find('#ConfEmail').val('');
                    container.find('#Password').val('');
                    container.find('#ConfPassword').val('');
    
                    container.find('#FirstName').val('');
                    container.find('#LastName').val('');
                }
            },
            error: function(e){    
                $.mobile.loading('hide');        

                if(e.statusText == 'timeout')
                    CreatePopup(container, "Login Failed.", 'Server timed out.');
                else
                    CreatePopup(container, "Login Failed.", 'Cannot connect to server.');

                $('#popupMenu').popup(); 
                $('#popupMenu').popup('open');

                $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                });
            }
        });
    }

}

function ValidateEmail(email) {
    var RegExp = /^[A-Z0-9._%+-]+@(?:[A-Z0-9-]+\.)+[A-Z]{2,4}$/i;

    if (RegExp.test(email)) {
        return true;
    } else {
        return false;
    }
}
function getParameterByName(name) {
    name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
}

function checkSSO(){
    if(getParameterByName("code")){
        login($('[data-role=login]').closest('[data-role=login]'), null, getParameterByName("code"));
    }
}

/*-------------- 
    Login
--------------*/
function login(container, type, authCode)
{
    var code = container.attr('an-code');
    var redirectTo = container.attr('an-redirect-url');
    var mail = container.find('#Email').val();
    var pwd = container.find('#Password').val();
    var rememberMe = (container.find("#RememberMe").attr('checked') == 'checked' ? true : false ); 
    var animation = container.attr('an-redirect-animation');
    var isRel = -2;

    if(redirectTo != undefined && redirectTo != null)
        isRel = redirectTo.indexOf('http://');
    
    var errorMsg = "";

    if(!ValidateEmail(mail) && type == undefined)
        errorMsg += "Invalid Email.<br/>";

    if(animation == '' || animation == undefined || animation == null)
        animation = 'fade';
        
    if(errorMsg != '' && type == undefined && code == undefined){
        CreatePopup(container, "Fail to Login", errorMsg);
        $('#popupMenu').popup(); 
        $('#popupMenu').popup('open');

        $('#popupMenu').fadeOut(5000, function(){
            $(this).remove();
        });
    }
    else
    {
    
        $.mobile.loading( 'show', {
                            text: 'Logging in...',
                            textVisible: true
                        });

        $.ajax({
            url: AN_CALLBACK_BASE + 'cms/apiadmin/callback/auth/mobileLogin.aspx',
            data: { appcode: code, email: mail, pass: pwd, rememberMe: rememberMe, type:type, authCode:authCode},
            timeout: timeOut,
            type:'POST',
            success: function(msg){
                $.mobile.loading('hide');
                if(msg == 'success')
                {
                    CreatePopup(container, "Login Success.", "You have successfully logged in.");
                    $('#popupMenu').popup(); 
                    $('#popupMenu').popup('open');

                    $('#popupMenu').fadeOut(3000, function()
					{
                        $(this).remove();                        
                    });

                    if(isRel != -1 && isRel != -2)
                        window.location.href = redirectTo;
                    else if(isRel != -2)
                    {                    
                        // for Preview
                        if(redirectTo.indexOf('#prevPage') != -1)
                        {
                            var currUrl = redirectTo.substring(redirectTo.lastIndexOf('#prev'));
                            PageTryLoad(currUrl, { transition : animation });
                        }
                        else
                            {
                            if(authCode)
                                window.location.href = redirectTo;
                            else
                                $.mobile.changePage(redirectTo, { transition : animation });
                        }
                    }
                }
                else if(msg.indexOf('accounts.google.com')!=-1 || msg.indexOf('graph.facebook.com')!=-1)
                {
                    var isPreview  = $('body.bPreview');
                    if(isPreview.length == 0)
                        window.location.href = msg;
                    else
                    {
                        CreatePopup(container, "Not available.", "Feature not available for Preview");
                        $('#popupMenu').popup(); 
                        $('#popupMenu').popup('open');

                        $('#popupMenu').fadeOut(5000, function(){
                            $(this).remove();
                        });
                    }
                }
                else
                {
                    CreatePopup(container, "Login Failed.", msg);
                    $('#popupMenu').popup(); 
                    $('#popupMenu').popup('open');

                    $('#popupMenu').fadeOut(5000, function(){
                            $(this).remove();
                    });
                }
            },
            error: function(e){    
                $.mobile.loading('hide');        

                if(e.statusText == 'timeout')
                    CreatePopup(container, "Login Failed.", 'Server timed out.');
                else
                    CreatePopup(container, "Login Failed.", 'Cannot connect to server.');

                $('#popupMenu').popup(); 
                $('#popupMenu').popup('open');

                $('#popupMenu').fadeOut(5000, function(){
                        $(this).remove();
                });
            }
        });
    }
}

/*-------------- 
    Get Secured Pages
--------------*/
function LoadSecPage(el)
{
    var currDom = $('<div/>').html($(el).html());
    var currHtml = currDom.find('[an-data=secured]');
    //console.log('pageshow - div currHtml:' + currDom.html().substring(0, 40) + "----" + $(currHtml).html());
    var bCheck = $(currHtml).html();
    if(bCheck != undefined &&  bCheck != 'undefined' && bCheck != null)
    {
               
        var data = currHtml.html().split(':');
               
        $('[an-id=ansecLoader]').remove();
        $(el).find('[an-data]').parent().append('<div an-id="ansecLoader" style="margin-top: 25px; text-align: center;"><h3>Loading data please wait...</h3></div>');
        $(el).find('[an-data]').hide();
        retrieveScreen(el, data[0], data[2], data[1]);
    }            
}

function retrieveScreen(el, pid, t, code)
{
    //console.log('retrieveScreen(' + el + ', ' + pid + ', ' + t + ', ' + code + ') - start');

    $.ajax({
        url: AN_CALLBACK_BASE + 'cms/apiadmin/callback/auth/GetScreen.aspx',
        data: { appcode: code, pid: pid, type: t },
        type:'POST',
        success: function(msg){
           //console.log('retrieveScreen(' + el + ', ' + pid + ', ' + t + ', ' + code + ') - success');
           msg = $(msg).attr('id', 'sec-' + pid).attr('data-role', 'page');
           $('body').append(msg);
           $.mobile.changePage(msg);
           $.mobile.loading('hide');
           //console.log('retrieveScreen(' + el + ', ' + pid + ', ' + t + ', ' + code + ') - finish');
        }        
    });
}

function goBack(el)
{
    page = $(el).closest('[data-role=page]').siblings('[data-role=page]:first');
    $.mobile.changePage(page, {transition: 'fade'})
}

/*------------------------------
    TOGGLE PANEL
------------------------------*/
function TogglePanel(name)
{
    if($.mobile.activePage.jqmData( "panel" ) !== "open")
        $.mobile.activePage.find(name).panel("open");
    else
        $.mobile.activePage.find(name).panel("close")
}

function checkForLogin()
{
    if($('[data-role=login]')[0] != undefined)
    {
        var email = grabCookie("AppAuthAPI_Creds");

        if(email != null && email != undefined)
            $('[data-role=login]').find('#RememberMe').attr('checked', true);
    }
}

function grabCookie(name)
{   
    var cookies = document.cookie.split(';');
    var currCookie = null;
    for(var c in cookies)
    {
        currCookie = cookies[c].split('=');
        if(currCookie[0].replace(' ', '') == name)
        { 
            var vals = currCookie[1].split('~');
            var email = vals[0];
            var pass = vals[1];
           
            $('[data-role=login]').find('#Email').val(email);
            $('[data-role=login]').find('#Password').val(pass);
            return email;
        }
    }
}

function openPopup(id)
{
    var animation = $(id).attr('data-transition');

    if(animation == '' || animation == undefined || animation == null)
        animation = 'slideup';

    $(id).popup('open');
}

/* SOCIAL MEDIA LISTENER/FUNCTION
----------------------------------------*/
function showHideFacebookTweeter(mode){
     // LOGIC FOR THE TAB CHANGE
     if(mode == 'fb')
     {
        $('.panel').show();
        $('#divTweets').hide();
     }
     else
     {
        $('.panel').hide();
        $('#divTweets').show();
     }
}

function fbWallInit(){ 
    var fbId = 0;
    var fbAccessToken = 0;
    $('[an-action=fbfeeds]').each(function(){
        fbId = $(this).attr('fbId');
        fbAccessToken = $(this).attr('fbAccessToken');
        $(this).fbWall({
                        id: fbId,
                        accessToken: fbAccessToken,
                        showGuestEntries:true,
                        showComments:true,
                        max:5,
                        timeConversion:24
                    });
    });

};
